
# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.0.4 - 2022-04-28

### Fixed

  - Clarify comments of `TransformPainter.drawCharXXX` methods about surrogate characters.

## 1.0.3 - 2021-07-16

### Fixed

  - Do not throw an exception when a scaling factor is equal to zero: just ignore the drawing. 

## 1.0.2 - 2020-12-09

### Fixed

  - Fix MMM dependencies. 

## 1.0.1 - 2020-12-03

### Fixed

  - Clarify antialiased shape bounding box.
  
## 1.0.0 - 2020-07-28

### Added

  - Extract `ej.microui.display.shape` from MicroUI-API
  - Extract `ej.microui.display.transform` from MicroUI-API
  - Extract `polygon` from MicroUI-API
  
### Changed

  - Rename `ImageFlip` and `ImageScale` in `Flip` and `Scale`.
  - Move all drawings methods in `ShapePainter` and `TransformPainter`.
  - Use dedicated methods to apply a global opacity (alpha) when drawing an image with transformation.  
  - Use new naming conversion: `drawThickFadedXXX()`.
  - Use new naming conversion: `drawRotatedXXX()`, `drawScaledXXX()`, `drawFlippedXXX()`.
  
### Removed

  - Remove Singleton fields.
  - Remove notion of translation (use GraphicsContext translation only).  
  - Remove notion of mirror when drawing an image with transformation.
  - Remove `AntiAliasedShapes` and `ThickShapes` classes (use `ShapePainter` methods instead).
  
---
_Copyright 2020-2022 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  